//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////

// resourcehelper.h
/////////////////////////////////////////////////////////

#ifndef __RESOURCE_HELPER__H__
#define __RESOURCE_HELPER__H__

class CTemporaryResourceOverride
{
public:
  CTemporaryResourceOverride(HINSTANCE hInstNew);
  CTemporaryResourceOverride(); // default construction

  virtual ~CTemporaryResourceOverride();

  static void SetDefaultResource(HINSTANCE hInstNew);

private:
  void   CommonConstruction(HINSTANCE);
  static HINSTANCE m_hInstanceDefault;

  HINSTANCE m_hInstanceOld;
};

#endif // __RESOURCE_HELPER__H__

